Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.epath
Class EPathArrayList

    java.lang.Object
      com.sun.mdm.index.objects.epath.EPathArrayList

All Implemented Interfaces:
  java.io.Serializable

public class EPathArrayList
extends java.lang.Object
implements java.io.Serializable

The EPathArrayList class represents an array of ePaths, which define the locations of fields in Master Index objects and the database. For more information about ePaths, see Creating a Master Index with Master Index Studio.

See Also:
  Serialized Form

Constructor Summary
`EPathArrayList()` Creates a new instance of the EPathArrayList class.
`EPathArrayList(java.lang.String[] paths)` Creates a new instance of the EPathArrayList class.

Method Summary
`void` | `add(EPath path)` Adds the specified ePath to an EPathArrayList object.
`void` | `add(java.lang.String path)` Adds the specified ePath to an EPathArrayList object.
`void` | `add(java.lang.String[] paths)` Adds the specified list of ePaths to an EPathArrayList object.
`void` | `addUnique(EPath path)` Adds the specified ePath to an EPathArrayList object if that ePath does not already exist in the object.
`void` | `addUnique(java.lang.String path)` Adds the specified ePath to an EPathArrayList object if that ePath does not already exist in the object.
`void` | `addUnique(java.lang.String[] paths)` Adds the specified ePaths to an EPathArrayList object if those ePaths do not already exist in the object.
`EPath` | `get(int index)` Retrieves the ePath at the specified index in an EPathArrayList object.
`java.util.ArrayList` | `getGenericList()` Get the generic list
`int` | `size()` number of elements
`EPath[]` | `toArray()` Convert to array
`java.lang.String` | `toString()` String representation of the class
`java.lang.String[]` | `toStringArray()` Convert to string array

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPathArrayList

    public EPathArrayList()

  Creates a new instance of the EPathArrayList class.

  Parameters:
    None.

### EPathArrayList

    public EPathArrayList(java.lang.String[] paths)
                   throws EPathException

  Creates a new instance of the EPathArrayList class.

  Parameters:
    `paths` - An array of ePaths defining the location of the desired fields.
  Returns:
    `void` - None.
  Throws:
    `EPathException` - Thrown if an error occurs while creating the array list.

Method Detail

### add

    public void add(EPath path)

  Adds the specified ePath to an EPathArrayList object.

  Parameters:
    `path` - The ePath to add to the array list.
  Returns:
    `void` - None.
  Throws:
    None.

### add

    public void add(java.lang.String path)
             throws EPathException

  Adds the specified ePath to an EPathArrayList object.

  Parameters:
    `path` - A string containing the ePath to add to the array list.
  Returns:
    `void` - None.
  Throws:
    `EPathException` - Thrown if an error occurs while adding the ePath to the array list.

### add

    public void add(java.lang.String[] paths)
             throws EPathException

  Adds the specified list of ePaths to an EPathArrayList object.

  Parameters:
    `paths` - A string array of ePaths to add to the array list.
  Returns:
    `void` - None.
  Throws:
    `EPathException` - Thrown if an error occurs while creating the array list.

### addUnique

    public void addUnique(EPath path)
                   throws EPathException

  Adds the specified ePath to an EPathArrayList object if that ePath does not already exist in the object.

  Parameters:
    `path` - The ePath to add to the array list.
  Returns:
    `void` - None.
  Throws:
    `EPathException` - Thrown if an error occurs while adding the ePath to the array list.

### addUnique

    public void addUnique(java.lang.String path)
                   throws EPathException

  Adds the specified ePath to an EPathArrayList object if that ePath does not already exist in the object.

  Parameters:
    `path` - A string containing the ePath to add to the array list.
  Returns:
    `void` - None.
  Throws:
    `EPathException` - Thrown if an error occurs while adding the ePath to the array list.

### addUnique

    public void addUnique(java.lang.String[] paths)
                   throws EPathException

  Adds the specified ePaths to an EPathArrayList object if those ePaths do not already exist in the object.

  Parameters:
    `paths` - A string array of ePaths to add to the array list.
  Returns:
    `void` - None.
  Throws:
    `EPathException` - Thrown if an error occurs while adding the ePaths to the array list.

### get

    public EPath get(int index)

  Retrieves the ePath at the specified index in an EPathArrayList object.

  Parameters:
    `index` - The index of the ePath to retrieve.
  Returns:
    `EPath` - The ePath located at the specified index.
  Throws:
    None.

### getGenericList

    public java.util.ArrayList getGenericList()

  Get the generic list

  Returns:
    generic list

### size

    public int size()

  number of elements

  Returns:
    number of elements

### toArray

    public EPath[] toArray()

  Convert to array

  Returns:
    epath array

### toString

    public java.lang.String toString()

  String representation of the class

  Returns:
    string representation

### toStringArray

    public java.lang.String[] toStringArray()

  Convert to string array

  Returns:
    string array of epaths

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.